<template>
  <div class="app-container">
    <div class="filter-container" style="margin: 10px 0 10px 0;">
      <el-button class="filter-item" type="primary" @click="handleAdd" icon="el-icon-edit"  justify="end">新增活动配置</el-button>
    </div>

    <el-table :data="tableData" style="width:100%" class="show_table" >
      <el-table-column label="编号" style="width:2%" align="center">
        <template slot-scope="scope">
          <span>{{scope.row.uid}}</span>
        </template>
      </el-table-column>
      <el-table-column label="活动类型" style="width:10%" align="center">
        <template slot-scope="scope">
          <span v-if="scope.row.actType == 'FIRSTLOGINPRE'">首次登录赠币</span>
          <span v-if="scope.row.actType == 'VIPLEVELPRE'">加入会员赠币</span>
          <span v-if="scope.row.actType == 'BINDPHONEPRE'">绑定手机赠币</span>
        </template>
      </el-table-column>
      <el-table-column label="活动标题" style="width:10%" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.actTitle }}</span>
        </template>
      </el-table-column>

      <el-table-column label="活动内容" style="width:30%" :show-overflow-tooltip="true" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.actDesc }}</span>
        </template>
      </el-table-column>
      <el-table-column label="适用对象" style="width:2%" :show-overflow-tooltip="true" align="center" :formatter="showChannelFomatt" >
      </el-table-column>
      <el-table-column label="适用渠道" style="width:30%" :show-overflow-tooltip="true" align="center" :formatter="showSourceFomatt" prop="actChannel">
      </el-table-column>
      <el-table-column label="赠币数量" style="width:4%" :show-overflow-tooltip="true" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.actPreAmount }}</span>
        </template>
      </el-table-column>
      <el-table-column label="开始时间" style="width:4%" :show-overflow-tooltip="true" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.actBeginTime }}</span>
        </template>
      </el-table-column>
      <el-table-column label="结束时间" style="width:4%" :show-overflow-tooltip="true" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.actEndTime }}</span>
        </template>
      </el-table-column>
      <el-table-column label="开关设置" style="width:4%" :show-overflow-tooltip="true" align="center">
        <template slot-scope="scope">
          <el-switch v-model="scope.row.status"
                     :inactive-value="2"
                     :active-value="1"
                     active-text="启用"
                     inactive-text="停用"
                     active-color="#13CE66"
                     inactive-color="#FF4949"
                     @change="changeSwitch(scope.row)"/>
        </template>
      </el-table-column>
      <el-table-column label="操作" fixed="right" style="width:3%">
        <template slot-scope="scope" >
          <el-button @click="handleEdit(scope.row)" type="primary" size="small" >编辑</el-button>
        </template>
      </el-table-column>

    </el-table>

    <!--分页-->
    <div class="block">
      <el-pagination
        @size-change="handleSizeChange"
        @current-change="handleCurrentChange"
        :current-page.sync="currentPage"
        :page-sizes="[40, 80, 120, 200]"
        :page-size="pageSize"
        layout="total, prev, pager, next, jumper, sizes"
        :total="total"
      ></el-pagination>
    </div>
    <!-- 添加或修改对话框 -->
    <el-dialog :title="title"  :close-on-click-modal="false" :visible.sync="dialogFormVisible" width="30%" :before-close="sortHandleClose" center>
      <el-form :model="form" :rules="rules" ref="form" label-width="auto">
        <el-form-item label="活动类型">
          <el-select v-model="form.actType" :label-width="formLabelWidth" prop="actType">
            <el-option label="首次登录赠币" value="FIRSTLOGINPRE">首次登录赠币</el-option>
            <el-option label="绑定手机赠币"  value="BINDPHONEPRE">绑定手机赠币</el-option>
            <el-option label="加入会员赠币" value="VIPLEVELPRE">加入会员赠币</el-option>
          </el-select>
        </el-form-item>
        <el-form-item label="活动标题" prop="actTitle">
          <el-input v-model="form.actTitle" auto-complete="new-password" style="width: 400px" maxlength="20" show-word-limit></el-input>
        </el-form-item>

        <el-form-item label="活动内容" prop="actDesc">
            <el-input  type="textarea" v-model="form.actDesc" auto-complete="new-password" style="width: 400px" maxlength="50" show-word-limit></el-input>
        </el-form-item>
        <el-row>
          <el-col :span="8">
            <el-form-item label="适用对象" :label-width="formLabelWidth" prop="actChannel">
              <el-checkbox @change="pushGroupCheckAll" style="margin-left: 11px;display: block;">全选</el-checkbox>
              <el-checkbox-group  v-model="form.actChannel">
                <el-checkbox  @change="selectSwitch1" label="1" value="1" style="margin-left: 11px;display: block;">青青草用户</el-checkbox>
                <el-checkbox @change="selectSwitch2" label="2" value="2" style="margin-left: 11px;display: block;">小黄鸭用户</el-checkbox>
                <el-checkbox @change="selectSwitch3" label="3" value="3" style="margin-left: 11px;display: block;">糟老头用户</el-checkbox>
                <el-checkbox @change="selectSwitch4" label="4" value="4"  style="margin-left: 11px;display: block;">果酱视频</el-checkbox>
                <el-checkbox @change="selectSwitch5" label="5" value="5"  style="margin-left: 11px;display: block;">小笛</el-checkbox>
                <el-checkbox @change="selectSwitch6" label="6" value="6"  style="margin-left: 11px;display: block;">香蕉</el-checkbox>
                <el-checkbox @change="selectSwitch7" label="7" value="7"  style="margin-left: 11px;display: block;">草莓</el-checkbox>
                <el-checkbox @change="selectSwitch8" label="8" value="8"  style="margin-left: 11px;display: block;">奶茶</el-checkbox>
                <el-checkbox @change="selectSwitch9" label="9" value="9"  style="margin-left: 11px;display: block;">萝卜</el-checkbox>
                <el-checkbox @change="selectSwitch10" label="10" value="10" style="margin-left: 11px;display: block;">菠萝</el-checkbox>
                <el-checkbox @change="selectSwitch11" label="11" value="11" style="margin-left: 11px;display: block;">樱桃</el-checkbox>
                <el-checkbox @change="selectSwitch12" label="12" value="12" style="margin-left: 11px;display: block;">芒果</el-checkbox>
                <el-checkbox @change="selectSwitch13" label="13" value="13" style="margin-left: 11px;display: block;">玉米</el-checkbox>
                <el-checkbox @change="selectSwitch14" label="14" value="14" style="margin-left: 11px;display: block;">蘑菇</el-checkbox>
                <el-checkbox @change="selectSwitch15" label="15" value="15" style="margin-left: 11px;display: block;">蜜桔</el-checkbox>
                <el-checkbox @change="selectSwitch16" label="16" value="16" style="margin-left: 11px;display: block;">甘蔗</el-checkbox>
                <el-checkbox @change="selectSwitch17" label="17" value="17" style="margin-left: 11px;display: block;">色中色</el-checkbox>
                <el-checkbox @change="selectSwitch18" label="18" value="18" style="margin-left: 11px;display: block;">杏吧</el-checkbox>
                <el-checkbox @change="selectSwitch19" label="19" value="19" style="margin-left: 11px;display: block;">超碰</el-checkbox>
                <el-checkbox @change="selectSwitch20" label="20" value="20" style="margin-left: 11px;display: block;">CiliCili</el-checkbox>
                <el-checkbox @change="selectSwitch21" label="21" value="21" style="margin-left: 11px;display: block;">名优馆</el-checkbox>
                <el-checkbox @change="selectSwitch22" label="22" value="22" style="margin-left: 11px;display: block;">字幕网</el-checkbox>
                <el-checkbox @change="selectSwitch23" label="23" value="23" style="margin-left: 11px;display: block;">久草</el-checkbox>
                <el-checkbox @change="selectSwitch24" label="24" value="24" style="margin-left: 11px;display: block;">草榴</el-checkbox>
                <el-checkbox @change="selectSwitch25" label="25" value="25" style="margin-left: 11px;display: block;">CiliCili短视频</el-checkbox>
                <el-checkbox @change="selectSwitch26" label="26" value="26" style="margin-left: 11px;display: block;">果酱短视频</el-checkbox>
                <el-checkbox @change="selectSwitch27" label="27" value="27" style="margin-left: 11px;display: block;">小笛短视频</el-checkbox>
                <el-checkbox @change="selectSwitch28" label="28" value="28" style="margin-left: 11px;display: block;">食色短视频</el-checkbox>
                <el-checkbox @change="selectSwitch29" label="29" value="29" style="margin-left: 11px;display: block;">炮炮短视频</el-checkbox>
                <el-checkbox @change="selectSwitch30" label="30" value="30" style="margin-left: 11px;display: block;">Avgo短视频</el-checkbox>
                <el-checkbox @change="selectSwitch31" label="31" value="31" style="margin-left: 11px;display: block;">香蕉短视频</el-checkbox>
                <el-checkbox @change="selectSwitch32" label="32" value="32" style="margin-left: 11px;display: block;">小优短视频</el-checkbox>
                <el-checkbox @change="selectSwitch33" label="33" value="33" style="margin-left: 11px;display: block;">久草短视频</el-checkbox>
                <el-checkbox @change="selectSwitch34" label="34" value="34" style="margin-left: 11px;display: block;">字幕网短视频</el-checkbox>
                <el-checkbox @change="selectSwitch35" label="35" value="35" style="margin-left: 11px;display: block;">名优馆短视频</el-checkbox>
                <el-checkbox @change="selectSwitch41" label="41" value="41" style="margin-left: 11px;display: block;">萝莉鸭</el-checkbox>
                <el-checkbox @change="selectSwitch42" label="42" value="42" style="margin-left: 11px;display: block;">字幕鸭</el-checkbox>
                <el-checkbox @change="selectSwitch99" label="99" value="99" style="margin-left: 11px;display: block;">ONE</el-checkbox>
                <el-checkbox @change="selectSwitch101" label="101" value="101" style="margin-left: 11px;display: block;">OnlyYou</el-checkbox>
                <el-checkbox @change="selectSwitch36" label="36" value="36" style="margin-left: 11px;display: block;">茄子</el-checkbox>
                <el-checkbox @change="selectSwitch37" label="37" value="37" style="margin-left: 11px;display: block;">嘿嘿连载</el-checkbox>
                <el-checkbox @change="selectSwitch38" label="38" value="38" style="margin-left: 11px;display: block;">爽歪歪</el-checkbox>
                <el-checkbox @change="selectSwitch39" label="39" value="39" style="margin-left: 11px;display: block;">樱花动漫</el-checkbox>
                <el-checkbox @change="selectSwitch40" label="40" value="40" style="margin-left: 11px;display: block;">91 porn</el-checkbox>
                <el-checkbox @change="selectSwitch43" label="43" value="43" style="margin-left: 11px;display: block;">黄瓜视频</el-checkbox>
                <el-checkbox @change="selectSwitch44" label="44" value="44" style="margin-left: 11px;display: block;">待新增项目</el-checkbox>
                <el-checkbox @change="selectSwitch45" label="45" value="45" style="margin-left: 11px;display: block;">待新增项目2</el-checkbox>
                <el-checkbox @change="selectSwitch46" label="46" value="46" style="margin-left: 11px;display: block;">待新增项目3</el-checkbox>
                <el-checkbox @change="selectSwitch47" label="47" value="47" style="margin-left: 11px;display: block;">JK漫画</el-checkbox>
                <el-checkbox @change="selectSwitch48" label="48" value="48" style="margin-left: 11px;display: block;">撸站</el-checkbox>
              </el-checkbox-group>
            </el-form-item>
          </el-col>
          <el-col :span="8">
            <el-form-item label="赠币数量" :label-width="formLabelWidth">
              <br>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount1" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount2" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount3" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount4" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount5" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount6" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount7" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount8" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount9" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount10" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount11" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount12" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount13" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount14" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount15" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount16" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount17" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount18" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount19" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount20" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount21" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount22" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount23" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount24" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount25" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount26" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount27" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount28" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount29" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount30" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount31" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount32" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount33" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount34" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount35" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount41" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount42" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount99" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount101" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount36" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount37" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount38" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount39" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount40" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount43" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount44" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount45" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount46" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount47" style="margin-left: 10px;width:100px" ></el-input>
              <el-input min="1" type="number" oninput="value=parseInt(value.replace(/[^\d]/g,''))" v-model="form.actPreAmount48" style="margin-left: 10px;width:100px" ></el-input>
            </el-form-item>
          </el-col>
        </el-row>

        <el-form-item label="开始时间" :label-width="formLabelWidth" prop="actBeginTime">
          <el-date-picker
            placeholder="开始时间"
            type="datetime"
            value-format="yyyy-MM-dd HH:mm:ss"
            v-model="form.actBeginTime"
          ></el-date-picker>
        </el-form-item>
        <el-form-item label="结束时间" :label-width="formLabelWidth" prop="actEndTime">
          <el-date-picker
            placeholder="结束时间"
            type="datetime"
            value-format="yyyy-MM-dd HH:mm:ss"
            v-model="form.actEndTime"
          ></el-date-picker>
        </el-form-item>
        <el-form-item label="状态" :label-width="formLabelWidth" prop="status">
          <input type="radio" v-model="form.status" value="1">&nbsp; 启用(默认) &nbsp;
          <input type="radio" v-model="form.status" value="2">&nbsp; 停用 &nbsp;
        </el-form-item>
      </el-form>
      <div slot="footer" class="dialog-footer">
        <el-button @click="sortHandleClose">取 消</el-button>
        <el-button type="primary" @click="submitForm">确 定</el-button>
      </div>
    </el-dialog>

  </div>

</template>

<script>
    import {getActConfigList,addActConfig,editActConfig} from "@/api/addActivityConfig";
    export default {
        created(){
            this.queryActConfigList();
        },
        data(){
            return{
                tableData:[],
                title: "",
                currentPage: 1,
                total: null,
                isSortAdd: false,
                pageSize: 40,
                orderByDescColumn: "", // 降序字段
                orderByAscColumn: "", // 升序字段
                dialogFormVisible: false, //控制弹出框
                formLabelWidth: "150px",
              actPreAmount1 : "",
              actPreAmount2 : "",
              actPreAmount3 : "",
              actPreAmount4 : "",
              actPreAmount5 : "",
              actPreAmount6 : "",
              actPreAmount7 : "",
              actPreAmount8 : "",
              actPreAmount9 : "",
              actPreAmount10: "",
              actPreAmount11: "",
              actPreAmount12: "",
              actPreAmount13: "",
              actPreAmount14: "",
              actPreAmount15: "",
              actPreAmount16: "",
              actPreAmount17: "",
              actPreAmount18: "",
              actPreAmount19: "",
              actPreAmount20: "",
              actPreAmount21: "",
              actPreAmount22: "",
              actPreAmount23: "",
              actPreAmount24: "",
              actPreAmount25: "",
              actPreAmount26: "",
              actPreAmount27: "",
              actPreAmount28: "",
              actPreAmount29: "",
              actPreAmount30: "",
              actPreAmount31: "",
              actPreAmount32: "",
              actPreAmount33: "",
              actPreAmount34: "",
              actPreAmount35: "",
              actPreAmount41: "",
              actPreAmount42: "",
              actPreAmount99: "",
              actPreAmount101: "",
              actPreAmount36: "",
              actPreAmount37: "",
              actPreAmount38: "",
              actPreAmount39: "",
              actPreAmount40: "",
              actPreAmount43: "",
              actPreAmount44: "",
              actPreAmount45: "",
              actPreAmount46: "",
              actPreAmount47: "",
              actPreAmount48: "",
              actPreAmount: "",
                actChannel:['1','2','3','4','5','6','7','8','9','10',
                  '11','12','13','14','15','16','17','18','19','20',
                  '21','22','23','24','25','26','27','28','29','30'
                  ,'31','32','33','34','35','41','42','99','101','36'
                  ,'37','38','39','40','43','44','45','46','47','48'],
                queryParams:{
                },
                form: {
                    actType: "",
                    actTitle: "",
                    actDesc: "",
                  actPreAmount1 : "",
                  actPreAmount2 : "",
                  actPreAmount3 : "",
                  actPreAmount4 : "",
                  actPreAmount5 : "",
                  actPreAmount6 : "",
                  actPreAmount7 : "",
                  actPreAmount8 : "",
                  actPreAmount9 : "",
                  actPreAmount10: "",
                  actPreAmount11: "",
                  actPreAmount12: "",
                  actPreAmount13: "",
                  actPreAmount14: "",
                  actPreAmount15: "",
                  actPreAmount16: "",
                  actPreAmount17: "",
                  actPreAmount18: "",
                  actPreAmount19: "",
                  actPreAmount20: "",
                  actPreAmount21: "",
                  actPreAmount22: "",
                  actPreAmount23: "",
                  actPreAmount24: "",
                  actPreAmount25: "",
                  actPreAmount26: "",
                  actPreAmount27: "",
                  actPreAmount28: "",
                  actPreAmount29: "",
                  actPreAmount30: "",
                  actPreAmount31: "",
                  actPreAmount32: "",
                  actPreAmount33: "",
                  actPreAmount34: "",
                  actPreAmount35: "",
                  actPreAmount41: "",
                  actPreAmount42: "",
                  actPreAmount99: "",
                  actPreAmount101: "",
                  actPreAmount36: "",
                  actPreAmount37: "",
                  actPreAmount38: "",
                  actPreAmount39: "",
                  actPreAmount40: "",
                  actPreAmount43: "",
                  actPreAmount44: "",
                  actPreAmount45: "",
                  actPreAmount46: "",
                  actPreAmount47: "",
                  actPreAmount48: "",
                  actPreAmount: "",
                    status: "",
                    actChannel: [],
                    actEndTime: "",
                    actBeginTime: "",
                },
                rules: {

                    actType: [
                        {required: true, message: '活动类型不能为空', trigger: 'blur'},
                    ],
                    status: [
                        {required: true, message: '状态不能为空', trigger: 'blur'}
                    ],
                    actTitle: [
                        {required: true, message: '活动标题不能为空', trigger: 'blur'}
                    ],
                    actDesc: [
                        {required: true, message: '活动内容不能为空', trigger: 'blur'}
                    ],
                    actChannel: [
                        {required: true, message: '适用对象不能为空', trigger: 'blur'}
                    ],
                    actBeginTime: [
                        {required: true, message: '开始时间不能为空', trigger: 'blur'}
                    ],
                    actEndTime: [
                        {required: true, message: '结束时间不能为空', trigger: 'blur'}
                    ],
                },
            };
        },
        options: {
          selectableRange: '00:00:00 - 23:59:59'
        },
        methods: {
            queryActConfigList: function() {
                this.queryParams.currentPage = this.currentPage;
                this.queryParams.pageSize = this.pageSize;
                this.queryParams.orderByDescColumn = this.orderByDescColumn
                this.queryParams.orderByAscColumn = this.orderByAscColumn
                getActConfigList(this.queryParams).then(response => {
                    this.tableData = response.data.records;
                    this.currentPage = response.data.current;
                    this.pageSize = response.data.size;
                    this.total = response.data.total;
                });
            },
            getFormObject: function() {
                var formObject = {
                    actType: "",
                    actTitle: "",
                    actDesc: "",
                    status: 1,
                    actChannel:[],
                };
                return formObject;
            },
            //点击新增
            handleAdd: function() {
                this.title = "新增活动设置"
                this.isSortAdd = true
                this.dialogFormVisible = true;
                this.form = this.getFormObject();
                this.isEditForm = false;
            },
            //点击编辑
            handleEdit: function(row) {
                this.title = "编辑活动设置"
                this.isSortAdd = false;
                this.dialogFormVisible = true;
                this.isEditForm = true;
                this.form = row;
                this.form.actChannel = row.actChannel.split(',');
            },
            /**
             * 翻页事件
             */
            handleSizeChange(val) {
                this.pageSize = val;
                this.queryActConfigList();
            },
            //改变页码
            handleCurrentChange(val) {
                this.currentPage = val;
                this.queryActConfigList();
            },
            sortHandleClose(){
                this.dialogFormVisible = false;
                this.$refs.form.clearValidate();
                this.queryActConfigList();
            },
            submitForm: function() {
                this.$refs.form.validate((valid) => {
                    if(!valid) {
                        console.log("校验出错")
                    } else {
                        if (this.isEditForm) {
                            this.form.actChannel = this.form.actChannel.join(',');
                            editActConfig(this.form).then(response => {
                                this.$commonUtil.message.success(response.data)
                                this.dialogFormVisible = false;
                                this.queryActConfigList();
                            });
                        } else {
                            this.form.actChannel = this.form.actChannel.join(',');
                            addActConfig(this.form).then(response => {
                                if (response.code == this.$ECode.SUCCESS) {
                                    this.$commonUtil.message.success(response.message)
                                } else {
                                    this.$commonUtil.message.error(response.data)
                                }
                                this.dialogFormVisible = false;
                                this.queryActConfigList();
                            });
                        }
                    }
                })
            },
            showSourceFomatt: function (row, column) {
                if(row.actChannel !="" && row.actChannel !=null){
                    var result =[];
                  var source = row.actChannel.split(",");
                    for (var i=0;i<source.length;i++) {
                        if(source[i]=='1'){
                            result.push("VVC");
                        }else if(source[i]=='2'){
                            result.push("XHY");
                        }else if(source[i]=='3'){
                            result.push("ZLT");
                        }else if(source[i]=='4'){
                            result.push("果酱视频");
                        }else if(source[i]=='5'){
                            result.push("小笛");
                        }else if(source[i]=='6'){
                            result.push("香蕉");
                        }else if(source[i]=='7'){
                            result.push("草莓");
                        }else if(source[i]=='8'){
                            result.push("奶茶");
                        }else if(source[i]=='9'){
                            result.push("萝卜");
                        }else if(source[i]=='10'){
                            result.push("菠萝");
                        }else if(source[i]=='11'){
                            result.push("樱桃");
                        }else if(source[i]=='12'){
                            result.push("芒果");
                        }else if(source[i]=='13'){
                            result.push("玉米");
                        }else if(source[i]=='14'){
                            result.push("蘑菇");
                        }else if(source[i]=='15'){
                            result.push("蜜桔");
                        }else if(source[i]=='16'){
                            result.push("甘蔗");
                        }else if(source[i]=='17'){
                            result.push("色中色");
                        }else if(source[i]=='18'){
                            result.push("杏吧");
                        }else if(source[i]=='19'){
                            result.push("超碰");
                        }else if(source[i]=='20'){
                            result.push("CiliCili");
                        }else if(source[i]=='21'){
                            result.push("名优馆");
                        }else if(source[i]=='22'){
                            result.push("字幕网");
                        }else if(source[i]=='23'){
                            result.push("久草");
                        }else if(source[i]=='24'){
                            result.push("草榴");
                        }else if(source[i]=='25'){
                            result.push("CiliCili短视频");
                        }else if(source[i]=='26'){
                            result.push("果酱短视频");
                        }else if(source[i]=='27'){
                            result.push("小笛短视频");
                        }else if(source[i]=='28'){
                            result.push("食色短视频");
                        }else if(source[i]=='29'){
                            result.push("炮炮短视频");
                        }else if(source[i]=='30'){
                            result.push("Avgo短视频");
                        }else if(source[i]=='31'){
                            result.push("香蕉短视频");
                        }else if(source[i]=='32'){
                            result.push("小优短视频");
                        }else if(source[i]=='33'){
                            result.push("久草短视频");
                        }else if(source[i]=='34'){
                            result.push("字幕网短视频");
                        }else if(source[i]=='35'){
                            result.push("名优馆短视频");
                        }else if(source[i]=='41'){
                          result.push("萝莉鸭");
                        }else if(source[i]=='42'){
                          result.push("字幕鸭");
                        }else if(source[i]=='99'){
                          result.push("ONE");
                        }else if(source[i]=='101'){
                          result.push("OnlyYou");
                        }else if(source[i]=='36'){
                          result.push("茄子");
                        }else if(source[i]=='37'){
                          result.push("嘿嘿连载");
                        }else if(source[i]=='38'){
                          result.push("爽歪歪");
                        }else if(source[i]=='39'){
                          result.push("樱花动漫");
                        }else if(source[i]=='40'){
                          result.push("91 porn");
                        }else if(source[i]=='43'){
                          result.push("黄瓜视频");
                        }else if(source[i]=='44'){
                          result.push("待新增项目");
                        }else if(source[i]=='45'){
                          result.push("待新增项目2");
                        }else if(source[i]=='46'){
                          result.push("待新增项目3");
                        }else if(source[i]=='47'){
                          result.push("JK漫画");
                        }else if(source[i]=='48'){
                          result.push("撸站");
                        }
                    }

                  return  result.join(',');
                }
              return null;
            },
            showChannelFomatt: function (row, column) {
                if(row.actChannel !="" && row.actChannel !=null){
                    var result =[];
                  var source = row.actChannel.split(",");
                    for (var i=0;i<source.length;i++) {
                        if(source[i]=='1'){
                            result.push("青青草");
                        }else if(source[i]=='2'){
                            result.push("小黄鸭");
                        }else if(source[i]=='3'){
                            result.push("糟老头");
                        }else if(source[i]=='4'){
                            result.push("果酱视频");
                        }else if(source[i]=='5'){
                            result.push("小笛");
                        }else if(source[i]=='6'){
                            result.push("香蕉");
                        }else if(source[i]=='7'){
                            result.push("草莓");
                        }else if(source[i]=='8'){
                            result.push("奶茶");
                        }else if(source[i]=='9'){
                            result.push("萝卜");
                        }else if(source[i]=='10'){
                            result.push("菠萝");
                        }else if(source[i]=='11'){
                            result.push("樱桃");
                        }else if(source[i]=='12'){
                            result.push("芒果");
                        }else if(source[i]=='13'){
                            result.push("玉米");
                        }else if(source[i]=='14'){
                            result.push("蘑菇");
                        }else if(source[i]=='15'){
                            result.push("蜜桔");
                        }else if(source[i]=='16'){
                            result.push("甘蔗");
                        }else if(source[i]=='17'){
                            result.push("色中色");
                        }else if(source[i]=='18'){
                            result.push("杏吧");
                        }else if(source[i]=='19'){
                            result.push("超碰");
                        }else if(source[i]=='20'){
                            result.push("CiliCili");
                        }else if(source[i]=='21'){
                            result.push("名优馆");
                        }else if(source[i]=='22'){
                            result.push("字幕网");
                        }else if(source[i]=='23'){
                            result.push("久草");
                        }else if(source[i]=='24'){
                            result.push("草榴");
                        }else if(source[i]=='25'){
                            result.push("CiliCili短视频");
                        }else if(source[i]=='26'){
                            result.push("果酱短视频");
                        }else if(source[i]=='27'){
                            result.push("小笛短视频");
                        }else if(source[i]=='28'){
                            result.push("食色短视频");
                        }else if(source[i]=='29'){
                            result.push("炮炮短视频");
                        }else if(source[i]=='30'){
                            result.push("Avgo短视频");
                        }else if(source[i]=='31'){
                            result.push("香蕉短视频");
                        }else if(source[i]=='32'){
                            result.push("小优短视频");
                        }else if(source[i]=='33'){
                            result.push("久草短视频");
                        }else if(source[i]=='34'){
                            result.push("字幕网短视频");
                        }else if(source[i]=='35'){
                            result.push("名优馆短视频");
                        }else if(source[i]=='41'){
                          result.push("萝莉鸭");
                        }else if(source[i]=='42'){
                          result.push("字幕鸭");
                        }else if(source[i]=='99'){
                          result.push("ONE");
                        }else if(source[i]=='101'){
                          result.push("OnlyYou");
                        }else if(source[i]=='36'){
                          result.push("茄子");
                        }else if(source[i]=='37'){
                          result.push("嘿嘿连载");
                        }else if(source[i]=='38'){
                          result.push("爽歪歪");
                        }else if(source[i]=='39'){
                          result.push("樱花动漫");
                        }else if(source[i]=='40'){
                          result.push("91 porn");
                        }else if(source[i]=='43'){
                          result.push("黄瓜视频");
                        }else if(source[i]=='44'){
                          result.push("待新增项目");
                        }else if(source[i]=='45'){
                          result.push("待新增项目2");
                        }else if(source[i]=='46'){
                          result.push("待新增项目3");
                        }else if(source[i]=='47'){
                          result.push("JK漫画");
                        }else if(source[i]=='48'){
                          result.push("撸站");
                        }
                    }
                    return  result.join(',');
                }
                return null;
            },
            changeSwitch: function(data){
                editActConfig(data).then(response => {
                    this.$commonUtil.message.success(response.message)
                    this.dialogFormVisible = false;
                    this.queryActConfigList();
                });
            },
            pushGroupCheckAll(checkAll) {
            if (checkAll) {
                this.actChannel.forEach(value => {
                    if (this.form.actChannel.indexOf(value) < 0) {
                        this.form.actChannel.push(value);
                    }
                })
            } else {
              this.form.actChannel = [];
              this.form.actPreAmount1=0;
              this.form.actPreAmount2=0;
              this.form.actPreAmount3=0;
              this.form.actPreAmount4=0;
              this.form.actPreAmount5=0;
              this.form.actPreAmount6=0;
              this.form.actPreAmount7=0;
              this.form.actPreAmount8=0;
              this.form.actPreAmount9=0;
              this.form.actPreAmount10=0;
              this.form.actPreAmount11=0;
              this.form.actPreAmount12=0;
              this.form.actPreAmount13=0;
              this.form.actPreAmount14=0;
              this.form.actPreAmount15=0;
              this.form.actPreAmount16=0;
              this.form.actPreAmount17=0;
              this.form.actPreAmount18=0;
              this.form.actPreAmount19=0;
              this.form.actPreAmount20=0;
              this.form.actPreAmount21=0;
              this.form.actPreAmount22=0;
              this.form.actPreAmount23=0;
              this.form.actPreAmount24=0;
              this.form.actPreAmount25=0;
              this.form.actPreAmount26=0;
              this.form.actPreAmount27=0;
              this.form.actPreAmount28=0;
              this.form.actPreAmount29=0;
              this.form.actPreAmount30=0;
              this.form.actPreAmount31=0;
              this.form.actPreAmount32=0;
              this.form.actPreAmount33=0;
              this.form.actPreAmount34=0;
              this.form.actPreAmount35=0;
              this.form.actPreAmount41=0;
              this.form.actPreAmount42=0;
              this.form.actPreAmount99=0;
              this.form.actPreAmount101=0;
              this.form.actPreAmount36=0;
              this.form.actPreAmount37=0;
              this.form.actPreAmount38=0;
              this.form.actPreAmount39=0;
              this.form.actPreAmount40=0;
              this.form.actPreAmount43=0;
              this.form.actPreAmount44=0;
              this.form.actPreAmount45=0;
              this.form.actPreAmount46=0;
              this.form.actPreAmount47=0;
              this.form.actPreAmount48=0;
            }
        },
          selectSwitch1: function (e){
              if(!e){
                this.form.actPreAmount1=0;
              }
          },
          selectSwitch2: function (e){
            if(!e){
              this.form.actPreAmount2=0;
            }
          },
          selectSwitch3: function (e){
            if(!e){
              this.form.actPreAmount3=0;
            }
          },
          selectSwitch4: function (e){
            if(!e){
              this.form.actPreAmount4=0;
            }
          },
          selectSwitch5: function (e){
            if(!e){
              this.form.actPreAmount5=0;
            }
          },
          selectSwitch6: function (e){
            if(!e){
              this.form.actPreAmount6=0;
            }
          },
          selectSwitch7: function (e){
            if(!e){
              this.form.actPreAmount7=0;
            }
          },
          selectSwitch8: function (e){
            if(!e){
              this.form.actPreAmount8=0;
            }
          },
          selectSwitch9: function (e){
            if(!e){
              this.form.actPreAmount9=0;
            }
          },
          selectSwitch10: function (e){
            if(!e){
              this.form.actPreAmount10=0;
            }
          },
          selectSwitch11: function (e){
            if(!e){
              this.form.actPreAmount11=0;
            }
          },
          selectSwitch12: function (e){
            if(!e){
              this.form.actPreAmount12=0;
            }
          },
          selectSwitch13: function (e){
            if(!e){
              this.form.actPreAmount13=0;
            }
          },
          selectSwitch14: function (e){
            if(!e){
              this.form.actPreAmount14=0;
            }
          },
          selectSwitch15: function (e){
            if(!e){
              this.form.actPreAmount15=0;
            }
          },
          selectSwitch16: function (e){
            if(!e){
              this.form.actPreAmount16=0;
            }
          },
          selectSwitch17: function (e){
            if(!e){
              this.form.actPreAmount17=0;
            }
          },
          selectSwitch18: function (e){
            if(!e){
              this.form.actPreAmount18=0;
            }
          },
          selectSwitch19: function (e){
            if(!e){
              this.form.actPreAmount19=0;
            }
          },
          selectSwitch20: function (e){
            if(!e){
              this.form.actPreAmount20=0;
            }
          },
          selectSwitch21: function (e){
            if(!e){
              this.form.actPreAmount21=0;
            }
          },
          selectSwitch22: function (e){
            if(!e){
              this.form.actPreAmount22=0;
            }
          },
          selectSwitch23: function (e){
            if(!e){
              this.form.actPreAmount23=0;
            }
          },
          selectSwitch24: function (e){
            if(!e){
              this.form.actPreAmount24=0;
            }
          },
          selectSwitch25: function (e){
            if(!e){
              this.form.actPreAmount25=0;
            }
          },
          selectSwitch26: function (e){
            if(!e){
              this.form.actPreAmount26=0;
            }
          },
          selectSwitch27: function (e){
            if(!e){
              this.form.actPreAmount27=0;
            }
          },
          selectSwitch28: function (e){
            if(!e){
              this.form.actPreAmount28=0;
            }
          },
          selectSwitch29: function (e){
            if(!e){
              this.form.actPreAmount29=0;
            }
          },
          selectSwitch30: function (e){
            if(!e){
              this.form.actPreAmount30=0;
            }
          },
          selectSwitch31: function (e){
            if(!e){
              this.form.actPreAmount31=0;
            }
          },
          selectSwitch32: function (e){
            if(!e){
              this.form.actPreAmount32=0;
            }
          },
          selectSwitch33: function (e){
            if(!e){
              this.form.actPreAmount33=0;
            }
          },
          selectSwitch34: function (e){
            if(!e){
              this.form.actPreAmount34=0;
            }
          },
          selectSwitch35: function (e){
            if(!e){
              this.form.actPreAmount35=0;
            }
          },
          selectSwitch41: function (e){
            if(!e){
              this.form.actPreAmount41=0;
            }
          },
          selectSwitch42: function (e){
            if(!e){
              this.form.actPreAmount42=0;
            }
          },
          selectSwitch99: function (e){
            if(!e){
              this.form.actPreAmount99=0;
            }
          },
          selectSwitch101: function (e){
            if(!e){
              this.form.actPreAmount101=0;
            }
          },
          selectSwitch36: function (e){
            if(!e){
              this.form.actPreAmount36=0;
            }
          },
          selectSwitch37: function (e){
            if(!e){
              this.form.actPreAmount37=0;
            }
          },
          selectSwitch38: function (e){
            if(!e){
              this.form.actPreAmount38=0;
            }
          },
          selectSwitch39: function (e){
            if(!e){
              this.form.actPreAmount39=0;
            }
          },
          selectSwitch40: function (e){
            if(!e){
              this.form.actPreAmount40=0;
            }
          },
          selectSwitch43: function (e){
            if(!e){
              this.form.actPreAmount43=0;
            }
          },
          selectSwitch44: function (e){
            if(!e){
              this.form.actPreAmount44=0;
            }
          },
          selectSwitch45: function (e){
            if(!e){
              this.form.actPreAmount45=0;
            }
          },
          selectSwitch46: function (e){
            if(!e){
              this.form.actPreAmount46=0;
            }
          },
          selectSwitch47: function (e){
            if(!e){
              this.form.actPreAmount47=0;
            }
          },
          selectSwitch48: function (e){
            if(!e){
              this.form.actPreAmount48=0;
            }
          },
        },
    }
</script>

<style scoped>

</style>
